package domain

type AlibabaHmMarketingBuygiftItemAddAsyncItemBuyGiftSku struct {
	/*
	   限购信息     */
	LimitInfo *AlibabaHmMarketingBuygiftItemAddAsyncLimitInfo `json:"limit_info,omitempty" `

	/*
	   商品的skuCode     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   买赠门槛数量     */
	BuyNum *int64 `json:"buy_num,omitempty" `

	/*
	   赠品的skuCode     */
	GiftSkuCode *string `json:"gift_sku_code,omitempty" `
}

func (s *AlibabaHmMarketingBuygiftItemAddAsyncItemBuyGiftSku) SetLimitInfo(v AlibabaHmMarketingBuygiftItemAddAsyncLimitInfo) *AlibabaHmMarketingBuygiftItemAddAsyncItemBuyGiftSku {
	s.LimitInfo = &v
	return s
}
func (s *AlibabaHmMarketingBuygiftItemAddAsyncItemBuyGiftSku) SetSkuCode(v string) *AlibabaHmMarketingBuygiftItemAddAsyncItemBuyGiftSku {
	s.SkuCode = &v
	return s
}
func (s *AlibabaHmMarketingBuygiftItemAddAsyncItemBuyGiftSku) SetBuyNum(v int64) *AlibabaHmMarketingBuygiftItemAddAsyncItemBuyGiftSku {
	s.BuyNum = &v
	return s
}
func (s *AlibabaHmMarketingBuygiftItemAddAsyncItemBuyGiftSku) SetGiftSkuCode(v string) *AlibabaHmMarketingBuygiftItemAddAsyncItemBuyGiftSku {
	s.GiftSkuCode = &v
	return s
}
